# cPtrPassingMPICommBuffer Class Reference
[Parallel simulation support]

A variant of cMPICommBuffer. More...

`#include <cptrpassingmpicommbuffer.h>`

Inheritance diagram for cPtrPassingMPICommBuffer:

List of all members.

## Public Member Functions

| cPtrPassingMPICommBuffer ()
virtual void | packObject (cObject *obj)
virtual cObject * | unpackObject ()

## Detailed Description

A variant of cMPICommBuffer.

packObject() only packs the pointer and does not serialize object fields. This class can only be used with 64-bit shared memory superclusters like SGI Altix.

## Constructor & Destructor Documentation

cPtrPassingMPICommBuffer::cPtrPassingMPICommBuffer | ( |  | ) |

| Constructor.

## Member Function Documentation

virtual void cPtrPassingMPICommBuffer::packObject | ( | cObject * | obj | ) | `[virtual]`

| Packs an object. Reimplemented from cCommBuffer.

virtual cObject* cPtrPassingMPICommBuffer::unpackObject | ( |  | ) | `[virtual]`

| Unpacks and returns an object. Reimplemented from cCommBuffer.

The documentation for this class was generated from the following file:

- cptrpassingmpicommbuffer.h